How easy to upgrade from XFree86 2.1.1 to XFree86 3.1

How easy to upgrade from XFree86 2.1.1 to XFree86 3.1

Post by Ren B. Biton » Tue, 18 Oct 1994 11:58:57



I have XFree86 2.1.1 and whenever I exit Xwindows, the X server (XF86_Mach32)
is too slow to shutdown.  Instead of getting back the console I started X
windows from, my monitor display suddenly contracts to a green rectangle
centered on the display.  For example,

        ---------------------------------
        |                               |      
        |                               |
        |   -------------------------   |
        |   |                       |   |
        |   |                       |   |
        |   |    GREEN REGION       |   |
        |   |                       |   |
        |   -------------------------   |
        |                               |
        |         BLACK REGION          |
        ---------------------------------

So, I am waiting for X windows to shutdown but it doesn't for a long while.
The alternative way to exit is to do a "CTRL-ALT-DEL" command, and after
looking at the log error file, it said that "the X server is too slow
to shutdown."

I've had many interactions to resolve this problem, and if any one has
a solution I shall try it or... if XFree86 3.1 has a better set up (ie,
better XF86_Mach32 server) then I shall try that too... But if I do,
how much trouble is upgrading it to 3.1.

        I've read that 3.1 make a new /usr/XR6 directory instead of using
/usr/X386 and I am just worried about being compatible or keeping a clean
system if errors do arise?  For example, how does one deal with X
library changes?

        Either or both issues can be addressed....

Thanks...

--

     "On your own admission, you raised up the knife
      And you brought it down ending another man's life."
          -- David Gilmour

 
 
 

How easy to upgrade from XFree86 2.1.1 to XFree86 3.1

Post by ddel.. » Thu, 20 Oct 1994 13:14:04


Quote:>    I've read that 3.1 make a new /usr/XR6 directory instead of using
>/usr/X386 and I am just worried about being compatible or keeping a clean
>system if errors do arise?  For example, how does one deal with X
>library changes?

>    Either or both issues can be addressed....

>Thanks...

I just made the plunge two days ago, and had very little trouble doing so.
Here's what I did:

Install XFree86-3.1 in its standard directory (/usr/X11R6) and get it up and
running.  Don't forget to change your PATH and ld.so.conf files, and any
symlinks in /usr/bin, usr/lib, etc...

Figure out which programs from 2.1.1 I wanted to keep, and then using ldd on
each, figure out which libs I needed to keep.  It turned out I needed only 3,
libX11.so.3, libXt.so.3, libXaw.so.3 (869 K total)

Copy the apps, necessary libs, and supporting files from X386 over to the
corresponding directories in X11R6 (you could just leave them in X386 if you
want, just make sure your paths are set correctly).  

All this should not take you very long at all.  Then recompile or obtain new
versions of your old binaries at your leisure.

Good luck,

Dave



 
 
 

How easy to upgrade from XFree86 2.1.1 to XFree86 3.1

Post by Jinwoo Sh » Fri, 21 Oct 1994 04:41:50



>>        I've read that 3.1 make a new /usr/XR6 directory instead of using
>>/usr/X386 and I am just worried about being compatible or keeping a clean
>>system if errors do arise?  For example, how does one deal with X
>>library changes?

I had Slackware 2.0 with XFree 2.1.1. To upgrade, I've installed 3.1 on
/usr/X11R6 (which is default). Then moved /usr/X11 (symlinked to /usr/X386 ..
should be other way around) to /usr/X386. So /usr/X11 points to current X11,
so I can switch between two simply by relinking appropriate directory. Remove
all /usr/X386 specifics from ld.conf, path, manpath, and specify /usr/X11
instead. Solves a lot of problems and hassle this way.
--

System Administrator                    
Berkeley Sensor and Actuator Center
 
 
 

1. RH 5.0 Error upgrading XFree86-3.3.1-14 to XFree86-3.3.2

I get the following error when I try to install the latest version of
XFree.  ALL of my packages are up to date as of June 7th except for
this one.  Any help? TIA

Al Ruth

RH 5.0
P200MMX
64MB RAM
ATI Mach64


/usr/X11R6/bin/X conflicts with file from xserver-wrapper-1.1-1
error: XFree86-3.3.2-11.i386.rpm cannot be installed

2. rh5.2 (or 6.1) problems on AS200 4/233

3. Can I use XFree86 3.1 Mach64 SVGA server in XFree86 2.1?

4. Exceptions

5. upgrade to xfree86 3.1.2D/E

6. Solaris 9 and HyperSPARC's (RT626)

7. Xfree86 3.1.2D - upgrade proceedure

8. Possible Hardware problems??

9. XFree86 2.1 => 3.1 should I upgrade?

10. Upgraded to XFree86 3.1.2D - Problem w/ some X apps

11. Best way to upgrade to XFree86 3.1.2a WITHOUT a modem ?!

12. Upgrade to xfree86 3.1.2E Beta Rel.

13. xfree86 3.1 upgrade to 3.1.1